Package org.gradle.api.reporting

## Interface DirectoryReport

- All Superinterfaces:
    `org.gradle.util.Configurable<Report>`, `ConfigurableReport`, `Report`
  All Known Subinterfaces:
    `JUnitXmlReport`

      public interface DirectoryReport
      extends ConfigurableReport

  A directory based report to be created.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.reporting.Report

      `Report.OutputType`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.reporting.Report

      `NAMER`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `File` | `getEntryPoint()` | Returns the entry point of a directory based Report This can be the index.html file in a HTML report
    `DirectoryProperty` | `getOutputLocation()` | The location on the filesystem to generate the report to.
    `Report.OutputType` | `getOutputType()` | Always returns `Report.OutputType.DIRECTORY`

    - ### Methods inherited from interface org.gradle.util.Configurable

      `configure`

    - ### Methods inherited from interface org.gradle.api.reporting.ConfigurableReport

      `setDestination, setDestination, setEnabled, setEnabled`

    - ### Methods inherited from interface org.gradle.api.reporting.Report

      `getDestination, getDisplayName, getName, getRequired, isEnabled`

- - ### Method Detail

    - #### getEntryPoint

          @Internal
          File getEntryPoint()

      Returns the entry point of a directory based Report This can be the index.html file in a HTML report
      Returns:
        the entry point of the report or `Report.getDestination()` if no entry point defined

    - #### getOutputLocation

          @OutputDirectory
          DirectoryProperty getOutputLocation()

      Description copied from interface: `Report`
      The location on the filesystem to generate the report to.
      Specified by:
        `getOutputLocation` in interface `Report`

    - #### getOutputType

          Report.OutputType getOutputType()

      Always returns `Report.OutputType.DIRECTORY`
      Specified by:
        `getOutputType` in interface `Report`
      Returns:
        `Report.OutputType.DIRECTORY`